Bug 174494 - Review Request: libopensync-plugin-irmc
Review Request: libopensync-plugin-irmc
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Mahowald
David Lawrence
http://www.opensync.org/
:
Depends On: 174486
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-11-29 10:41 EST by Andreas Bierfert
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-04 20:07:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andreas Bierfert 2005-11-29 10:41:29 EST
Spec Name or Url: http://fedora.lowlatency.de/review/libopensync-plugin-irmc.spec
SRPM Name or Url:
http://fedora.lowlatency.de/review/libopensync-plugin-irmc-0.18-1.src.rpm
Description:
Irmc plugin for libopensync
Comment 1 John Mahowald 2006-01-29 11:51:55 EST
Seems to be missing BuildRequires: openobex-devel
Comment 3 John Mahowald 2006-02-04 01:38:05 EST
- rpmlint checks return:

rpmlint of libopensync-plugin-irmc-0.18-2.i386.rpm:E: libopensync-plugin-irmc
zero-length /usr/share/doc/libopensync-plugin-irmc-0.18/ChangeLog
E: libopensync-plugin-irmc zero-length
/usr/share/doc/libopensync-plugin-irmc-0.18/AUTHORS
E: libopensync-plugin-irmc zero-length
/usr/share/doc/libopensync-plugin-irmc-0.18/README
E: libopensync-plugin-irmc zero-length
/usr/share/doc/libopensync-plugin-irmc-0.18/NEWS

Empty doc files go.

Good:
- package meets naming guidelines
- package meets packaging guidelines
- license (GPL) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream
- package compiles on FC4 i386
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file

Ax the empty files and this is APPROVED.
Comment 5 John Mahowald 2006-02-04 09:39:19 EST
Better. Release 3 APPROVED.
Comment 6 Andreas Bierfert 2006-02-04 20:07:04 EST
Thanks. Imported and pushed.

Note You need to log in before you can comment on or make changes to this bug.